<template>
  <div class="card-container">
    <div class="card">
      <img
        :src="data['featured_image'].src"
        :height="data['featured_image'].height"
        :width="data['featured_image'].width"
      />
      <div class="details">
        <p class="product">{{ data.name }}</p>
        <span class="price">
          <p class="base">₹{{ data["base_price"].value }}</p>
          <p class="retail">₹{{ data["retail_price"].value }}</p>
        </span>
        <div class="brand-info">
          <img class="brand-logo" :src="data['brand_info'].logo.src" />
          <p class="brand-name">
            {{ data["brand_info"].name }}
          </p>
        </div>
        <button class="buy">Buy</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Card",
  props: ["data"],
};
</script>

<style>
.card-container {
  display: flex;
  flex-direction: row;
  /* justify-content: space-between; */
}

.card {
  display: flex;
  flex-direction: column;
  /* background: rgb(248, 226, 230); */
  margin: 10px auto;
  height: 659px;
  border-radius: 10px;
  box-shadow: 2px 2px 8px rgb(102, 101, 101);
  cursor: pointer;
}

.card:hover {
  transform: scale(1.02);
  box-shadow: 5px 5px 8px rgb(102, 101, 101);
  transition: all 0.5s;
}

.card:hover .retail {
  transform: rotate(20deg) scale(1.2);
  transition: all 0.2s;
}

img {
  border-radius: 10px;
}

.details {
  display: flex;
  flex-direction: column;
  margin: 10px;
  align-items: flex-start;
  height: 459px;
}

.price {
  display: flex;
}

.base {
  text-decoration: line-through;
  margin: 0 10px 0 0;
  padding: 0;
}

.retail {
  color: rgb(52, 184, 52);
  /* color: skyblue; */
  font-size: 1.2rem;
  font-weight: bold;
  padding: 0;
  margin: 0;
}

.brand-name {
  margin: 0 5px 0 0;
}

.brand-logo {
  border: 1px solid black;
  border-radius: 100px;
  margin-right: 10px;
  height: 45px;
  width: 45px;
}

.brand-info {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: flex-start;
}

.card:hover .brand-info {
  transform: scale(1.08);
  transition: all 0.2s;
}

.card:hover .product {
  transform: scale(1.08);
  transition: all 0.2s;
}

.buy {
  margin-top: 10px;
  align-self: center;
  height: 40px;
  width: 80px;
  border-radius: 4px;
  color: white;
  background-color: skyblue;
}

.buy:hover {
  background: rgb(79, 167, 202);
}
</style>
